post
https://{sitename}.mvpplant.com/ODataApi/v1/Parts('')/CheckOut
Check out a quantity of an existing part.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Check Out Part
Check out a quantity of an existing part.
POST /ODataApi/v1/Parts('name')/CheckOutEndpoint
https://{sitename}.mvpplant.com/ODataApi/v1/Parts('{name}')/CheckOutReplace {sitename} with your MVP One site name and {name} with the part name or part ID.
Request body
Send the checkout details in the request body.
| Field | Type | Required | Description |
|---|---|---|---|
WarehouseID | String | Yes | Warehouse where the part is checked out from. |
StockLocation | String | Yes | Stock location where the part is checked out from. |
Quantity | Decimal | Yes | Quantity to check out. |
ChargeTo | String | Yes | Entity receiving the checked-out part. |
ChargeToType | String | Yes | Type of entity receiving the checked-out part. |
PeopleID | String | Yes | Person associated with the checkout transaction. |
FromAccount | String | Yes | Account used as the source for the checkout. |
ToAccount | String | Yes | Account receiving the checkout. |
Notes | String | Yes | Notes for the checkout transaction. |
DateTime | String | Yes | Date and time of the checkout transaction. |
Example request
{
"WarehouseID": "MAIN",
"StockLocation": "A-01",
"Quantity": 2,
"ChargeTo": "WO-1001",
"ChargeToType": "WorkOrder",
"PeopleID": "JSMITH",
"FromAccount": "Inventory",
"ToAccount": "Maintenance",
"Notes": "Checked out for repair work order",
"DateTime": "2026-06-22T10:30:00"
}Example URL
https://company.mvpplant.com/ODataApi/v1/Parts('PART-1001')/CheckOutResponse
Returns a Boolean value.
trueNotes
- Use this endpoint to check out a quantity of an existing part.
- The part must already exist before you call this endpoint.
- Use single quotes around the part name or part ID in the URL.
Quantityshould be the amount checked out.DateTimeshould use the date and time format expected by your MVP One environment.
